//
//  WBPluginPanelController.mm
//  MySQLWorkbench
//
//  Created by Alfredo Kojima on 22/Oct/09.
//  Copyright 2009 Sun Microsystems Inc. All rights reserved.
//

#import "WBPluginPanelController.h"


@implementation WBPluginPanelController

- (id)initWithEditor:(WBPluginPanel*)editor
{
  self = [super init];
  if (self)
  {
    NSRect rect = NSZeroRect;
    rect.size = [editor minimumSize];

    _panel = [[NSPanel alloc] initWithContentRect:rect styleMask:0 backing:NSBackingStoreNonretained defer:NO];
    _editor = [editor retain];
    
    [_panel setTitle: [_editor title]];
    [_panel setContentView: [_editor topView]];

    [_editor didOpen];
  }
  return self;
}


- (void)show:(id)sender
{
  [_panel makeKeyAndOrderFront: nil];
}


- (void)hide:(id)sender
{
}

@end
